DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# ImageReadJPEGInfo

Get information about image in JPEG file (in dipIO)

## SYNOPSIS

`#include "dipio_jpeg.h"`

dip_Error dipio_ImageReadJPEGInfo ( imInfo, filename, imageNumber )

## FUNCTION

Opens a JPEG file and fills a `dipio_ImageFileInformation` structure with the information from that file. `imInfo` must be allocated before calling this function.

## ARGUMENTS

Data type | Name | Description
`dipio_ImageFileInformation` | `imInfo` | Output image file information. See `ImageFileInformationNew`
`dip_String` | `filename` | File name

## SOFTWARE

This function uses `libjpeg` (version 6b or later). Copyright (c)1994-1998, Thomas G. Lane.

## SEE ALSO

`ImageFileGetInfo`, `ImageIsJPEG`, `ImageReadJPEG`, `ImageWriteJPEG`, `ImageFileInformationNew`